/**
 *
 * @author  schneidt & labories
 */

import java.io.*;
import josx.platform.rcx.*;
import josx.rcxcomm.*;




/*programme principal*/
class Robot
{
	public static void main(String[] s)
	{
	Sound.beep();
	Serial.setRangeLong();
	NewNavigator nav = new NewNavigator(Motor.A, Motor.C, Sensor.S1, Sensor.S3, 300, 322);

	try	{
		RCXPort port = new RCXPort();
		InputStream is = port.getInputStream();
		OutputStream os = port.getOutputStream();
		DataInputStream dis = new DataInputStream(is);
		DataOutputStream dos = new DataOutputStream(os);

		int taille = dis.readInt();
		int tab[] = new int[2*taille];
		for (int i = 0; i < (2*taille); i+=2)
			{
			tab[i] = dis.readInt();
			tab[i+1] = dis.readInt();
			}
		Sound.beep();
		int somme = 0;
		for (int i = 0; i < (2*taille); i++)
			{
			somme += tab[i];
			}
		dos.writeInt(somme);
		
		for (int i = 0; i < (2*taille); i+=2)
			{
			nav.gotoPoint(tab[i], tab[i+1]);
//			dos.writeInt(i/2);
			}
		}
	catch (Exception e)
		{}
	}

}
