
import java.util.*;
import java.awt.*;



class Cadre extends Obstacle
{
	private Point basGauche;
	private int longueur;
	private int hauteur;
	private Vector points;
	private Point centre;
	private int rayon = 0;



	Cadre(Point basGauche, int hauteur, int longueur)
	{
	super();
	this.basGauche = basGauche;
	this.longueur = longueur;
	this.hauteur = hauteur;
	points = new Vector();
	points.add(basGauche);
	points.add(new Point((int) basGauche.getX(), (int) basGauche.getY()+hauteur));
	points.add(new Point((int) basGauche.getX()+longueur, (int) basGauche.getY()));
	points.add(new Point((int) basGauche.getX()+longueur, (int) basGauche.getY()+hauteur));
	centre = new Point((int) basGauche.getX()+longueur/2, (int) basGauche.getY()+hauteur/2);
	}

	public Vector getReferences()
	{
	Vector v;

	v = new Vector();
	for (int i = 0; i < points.size(); i++)
		v.add(new ObstacleReference((Point) points.get(i), this));

	return v;
	}


	/* retourne les points dfinissant l'objet */
	public Vector getPoints()
	{
	return points;
	}

	//@ pure
	public Point getGauche()
	{
	return basGauche;
	}

	//@ pure
	public Point getDroit()
	{
	return new Point((int) basGauche.getX() + longueur, (int) basGauche.getY() + hauteur);
	}

	//@ pure
	public int getRayon()
	{
	return rayon;
	}

	//@ pure
	public int getHauteur()
	{
	return hauteur;
	}


	//@ pure
	public int getLongueur()
	{
	return longueur;
	}

	//@ pure
	public Point getCentre()
	{
	return centre;
	}
	
	public boolean intersection(Point p)
	{
	return true;
	}

	public /*@ pure */ boolean chevauche(Obstacle o)
	{
	Canette c = (Canette) o;
	return (c.chevauche(this));
 	}
 	
	public String toString()
	{
	return ("cadre");
	}

	public String longToString()
	{
	return ("cadre");
	}
}

