
import java.util.*;
import java.awt.*;




abstract class Obstacle
{
	Vector aretes;

	Obstacle()
	{
	aretes = new Vector();
	}

	//@ pure
	abstract Vector getReferences();
	
	//@ pure	
	abstract Vector getPoints();
	
	//@ pure	
	abstract Point getGauche();
	
	//@ pure	
	abstract Point getDroit();
	
	//@ pure	
	abstract Point getCentre();
	
	//@ pure	
	abstract int getRayon();
	
	//@ pure	
	abstract boolean intersection(Point p);
	
	//@ pure	
	abstract boolean chevauche(Obstacle o);

	void addArete(Arete arete)
	{
	aretes.add(arete);
	}

	boolean notContains(double x)
	{
	Vector toto = getPoints();
	boolean ret = true;
	int i = 0;

	while ((i < toto.size()) && (ret == true))
		{
		Point p = (Point) toto.get(i);
		if (p.getX() == x)
			ret = false;
		i++;
		}

	return ret;
	}

	int nbArete()
	{
	return aretes.size();
	}

	Arete getArete(int i)
	{
	return (Arete) aretes.get(i);
	}

	void triAretes()
	{
	for (int i = 1 ; i < aretes.size() ; i++)
		{
		int c = i;
		int j = i-1;
		while ((j >= 0) && (((Arete) aretes.get(c)).compareTo(aretes.get(j), this) < 0))
			{
			Object tmp = aretes.get(j);
			aretes.set(j, aretes.get(c));
			aretes.set(c, tmp);
			j--;
			c--;
			}
		}
	}

	abstract String longToString();
}

