
import java.awt.*;




class ObstacleReference implements Comparable
{
	private Point p;
	private Obstacle o;


	ObstacleReference(Point p, Obstacle o)
	{
	this.p = p;
	this.o = o;
	}

	//@ pure
	public Point getPoint()
	{
	return p;
	}

	//@ pure
	public Obstacle getObstacle()
	{
	return o;
	}


	public int compareTo(Object o)
	{
	ObstacleReference obs = (ObstacleReference) o;

	if ((obs.getPoint().getX() == this.getPoint().getX()) && (obs.getPoint().getY() == this.getPoint().getY()))
		return 0;
	if ((obs.getPoint().getX() == this.getPoint().getX()) && (obs.getPoint().getY() < this.getPoint().getY()))
		return 1;
	if ((obs.getPoint().getX() == this.getPoint().getX()) && (obs.getPoint().getY() > this.getPoint().getY()))
		return -1;
	if (obs.getPoint().getX() < this.getPoint().getX())
		return 1;
	if (obs.getPoint().getX() > this.getPoint().getX())
		return -1;
	return 100;
	}


	public String toString()
	{
	return ("(" + (int) p.getX() + "," + (int) p.getY() + ") " + o.toString());
	}
}

